{%load staticfiles %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1"> 

  <!-- Latest compiled and minified CSS -->
<link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="" crossorigin="anonymous">

<!-- Optional theme -->
<link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css" integrity="" crossorigin="anonymous">
 
  <link rel="stylesheet" href="{% static 'seeker_supplier/css/dzon.css' %}" />
  <link rel="stylesheet" href="{% static 'seeker_supplier/css/styledropzone.css' %}" />
  <link rel="shortcut icon" href="{% static 'seeker_supplier/images/favicon.ico' %}" />
  <link rel="stylesheet"  href="{% static 'seeker_supplier/css/style.css'%}?v={{version}}" />
  <link rel="stylesheet" href="{% static 'seeker_supplier/css/jquery.json-viewer.css' %}"  />
  <title>Seekers and Suppliers</title>
</head>

<body>
 
    <div class="col-lg-4 col-md-4 col-sm-12 col-xs-12" id="text-view">
      <div class = "rows">
        <div id="logo">
          <img src="{% static 'seeker_supplier/images/peaseclogo.png'%}" alt="Avatar" class="avatar">
               <hr class="divider"/>
        </div>
 
          <h4 style="text-align: center; padding: 0px;margin: 0px;">FIND SEEKERS AND SUPPLIERS</h4>
           <hr class="divider"/>
          <div class="col-md-12 col-lg-12 col-sm-12 col-xs-12" id="upload-view">
            <form  class="dropzone" id="mdzn">
            </form>
              {%csrf_token%}

            <div id="text">
            <p>
            This application accepts two kinds of files. Twiiter stream json file and Activity json file. Once you upload the file you will get an output as two lists 'seekers' and 'suppliers'. Provide a threshold for matching 'seekers' and 'suppliers'. The threshold should be between 0 and 100. You will receive matched list of 'seekers' and 'suppliers' as an output. Also the locations of the matched 'seekers' and 'suppliers' are marked in the map, which will be visible to you.
           
          </p>
          </div>
          </div>
                  <div class="col-md-12 col-lg-12 col-sm-12 col-xs-12 hidden" id="from-view">
          
            <div class="row">
              <form  id='match-form' class="navbar-form navbar-left" role="search">
                  <div class="form-group">
                    <input type="number" class="form-control" id="threshold" placeholder="Threshold" required step=any>
                  </div>
                  <button type="button" id="match"   class="btn btn-primary">Match</button>
                  <button type="button" id="upload"   class="btn btn-primary">Upload</button>
              </form> 
            </div>
             <hr class="divider"/>
          </div>
           <div class="col-md-12 col-lg-12 col-sm-12 col-xs-12 hidden" id="file-view">
            <div id="element">
            </div>
          </div>

      </div>
      <!-- <div class="footer" >
  <p>&copy; 2018  PEASEC</p>
</div> -->
    </div>
    <div class="col-lg-8 col-md-8 col-sm-12 col-xs-12">
      <div id="map" class="col-lg-12 col-md-12 col-xs-12 col-sm-12">
      </div>
    </div>
  <script type="text/javascript"> 
    classifierUri = "{{classifier}}"
    matcherUri = "{{matcher}}"
    api_key = "{{api_key}}"
  </script>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.4/jquery.min.js"></script>
 <script src="//maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="" crossorigin="anonymous"></script>
 
   <script src="{% static 'seeker_supplier/js/jquery.json-viewer.js' %}"></script>
  <script  src="{% static 'seeker_supplier/js/dropzone.js' %}"  ></script>
     <script  src="{% static 'seeker_supplier/js/script.js'%}?v={{version}}"  ></script>

</body>

</html>